var _excluded = ["className"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/*
 * @Author: codingfly
 * @Description:
 * @Date: 2021-10-13 10:50:40
 * @LastEditTime: 2021-11-22 09:46:54
 * @FilePath: \ui_model\src\no-data\index.tsx
 */
import React from 'react';
import { Image } from 'remax/one';
import logo from './image-default.png';
import search from './image-search.png';
import error from './image-error.png';
import styles from './index.module.less';
import classNames from 'classnames';
import Space from '../space';
var PRESET_IMAGES = [{
  name: 'error',
  path: error
}, {
  name: 'search',
  path: search
}, {
  name: 'default',
  path: logo
}];
export default (function (_ref) {
  var className = _ref.className,
      props = _objectWithoutProperties(_ref, _excluded);

  var renderImage = function renderImage() {
    var _props$src = props.src,
        src = _props$src === void 0 ? 'default' : _props$src;
    var result = PRESET_IMAGES.filter(function (item) {
      return item.name === src;
    });

    if (result.length !== 0) {
      return /*#__PURE__*/React.createElement(Image, _objectSpread(_objectSpread({}, props), {}, {
        className: classNames(className, styles.noData),
        src: result[0].path
      }));
    }

    return /*#__PURE__*/React.createElement(Image, _objectSpread(_objectSpread({}, props), {}, {
      className: classNames(className, styles.noData),
      src: src
    }));
  };

  var renderText = function renderText() {
    var text = props.text;

    if (text) {
      return /*#__PURE__*/React.createElement(Space, {
        style: {
          color: '#aaa'
        }
      }, text);
    }
  };

  return /*#__PURE__*/React.createElement(Space, {
    vertical: true,
    justify: 'center',
    alignItems: 'center'
  }, renderImage(), renderText());
});